@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;600;700;800;900&display=swap');



* {
  padding: 0;
  margin: 0;
  font-family: 'Poppins', sans-serif;
}

html,
body {
  height: 100%;
}

body {
  background-color: #111;
  display: flex;
  flex-direction: column;
}


main {
  color: #fff;
  flex: 1;
}

footer {
  bottom: 0;
  width: 100%;
  background-color: #000000;
}

nav {
  background-color: #000;
}

.carousel {
  margin-top: 40px;
  margin-bottom: 60px;

}

.carousel-inner {
  border-radius: 20px;
}

.button-aumentado {
  font-size: 30px;
  /* Tamanho da fonte */
  padding: 25px 45px;
  /* Espaçamento interno (ajuste conforme necessário) */
}

.centrar-botao {
  display: flex;
  justify-content: center;
  /* Centraliza horizontalmente */
  align-items: center;
  /* Centraliza verticalmente */
  height: 200px;
  /* Define a altura da div para preencher toda a altura da tela */
}

.input::placeholder {
  position: absolute;
  top: 0;
  left: 0;
}

.input::target-text {
  text-align: left;
  padding: 5px 15px;
}

/* Botao gamer*/

.dpdefect:hover {
  background-color: #8d1d1d;

  transition: 0.1s;
}

.nav-item {
  font-size: 20px;
  margin-left: 15px;
  ;
}

.mrg {
  margin-right: 50px;
}

.mouse-efeito-navbar:hover {
  color: #fff;
}

.button-gamer {
  border: none;
  outline: none;
  color: #fff;
  background-color: #111;
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 8px;
}

.button-gamer:before {
  content: '';
  background: linear-gradient(45deg, #ff0000, #8d5222, #fffb00, #1d5706, #00ffd5,
      #002bff, #7a00ff, #ff00c8, #ff0000);
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing 20s linear infinite;
  opacity: 0;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
}

.button-gamer:active {
  color: #000
}

.button-gamer:active:after {
  background: transparent;
}

.button-gamer:hover:before {
  opacity: 1;
}

.button-gamer:after {
  z-index: -1;
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background: #111;
  left: 0;
  top: 0;
  border-radius: 10px;
}

@keyframes glowing {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 400% 0;
  }

  100% {
    background-position: 0 0;
  }
}

.rgb:hover {
  background-image:
    linear-gradient(to right, #ff0000, #8d5222, #fffb00, #1d5706, #00ffd5,
      #002bff, #7a00ff, #ff00c8, #ff0000);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: rainbow-animation 400s linear infinite;
}

@keyframes rainbow-animation {
  to {
    background-position: 4500vh;
  }
}

.botao-grande {
  width: 200px;
  height: 200px;
}

.botao-grande {
  width: 200px;
  height: 200px;
}



/* botao mira*/

.button {
  position: relative;
  padding: 16px 30px;
  font-size: 1.5rem;
  color: var(--color);
  border: 2px solid rgba(0, 0, 0, 0.5);
  border-radius: 4px;
  text-shadow: 0 0 15px var(--color);
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  transition: 0.5s;
  z-index: 1;
}

.button:hover {
  color: #fff;
  border: 2px solid rgba(0, 0, 0, 0);
  box-shadow: 0 0 0px var(--color);
}

.button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--color);
  z-index: -1;
  transform: scale(0);
  transition: 0.5s;
}

.button:hover::before {
  transform: scale(1);
  transition-delay: 0.5s;
  box-shadow: 0 0 10px var(--color),
    0 0 30px var(--color),
    0 0 60px var(--color);
}

.button span {
  position: absolute;
  background: var(--color);
  pointer-events: none;
  border-radius: 2px;
  box-shadow: 0 0 10px var(--color),
    0 0 20px var(--color),
    0 0 30px var(--color),
    0 0 50px var(--color),
    0 0 100px var(--color);
  transition: 0.5s ease-in-out;
  transition-delay: 0.25s;
}

.button:hover span {
  opacity: 0;
  transition-delay: 0s;
}

.button span:nth-child(1),
.button span:nth-child(3) {
  width: 40px;
  height: 4px;
}

.button:hover span:nth-child(1),
.button:hover span:nth-child(3) {
  transform: translateX(0);
}

.button span:nth-child(2),
.button span:nth-child(4) {
  width: 4px;
  height: 40px;
}

.button:hover span:nth-child(1),
.button:hover span:nth-child(3) {
  transform: translateY(0);
}

.button span:nth-child(1) {
  top: calc(50% - 2px);
  left: -50px;
  transform-origin: left;
}

.button:hover span:nth-child(1) {
  left: 50%;
}

.button span:nth-child(3) {
  top: calc(50% - 2px);
  right: -50px;
  transform-origin: right;
}

.button:hover span:nth-child(3) {
  right: 50%;
}

.button span:nth-child(2) {
  left: calc(50% - 2px);
  top: -50px;
  transform-origin: top;
}

.button:hover span:nth-child(2) {
  top: 50%;
}

.button span:nth-child(4) {
  left: calc(50% - 2px);
  bottom: -50px;
  transform-origin: bottom;
}

.button:hover span:nth-child(4) {
  bottom: 50%;
}

/*fim*/

.efeito-fundo {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 40px transparent;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-property: box-shadow;
  transition-property: box-shadow;

}

.efeito-fundo:hover,
.efeito-fundo:focus,
.efeito-fundo:active {
  box-shadow: 0 0 40px #87F;
}